{%- from "ceilometer/map.jinja" import server,agent,upgrade with context %}

ceilometer_task_service_stopped:
  test.show_notification:
    - text: "Running ceilometer.upgrade.service_stopped"

{%- set cservices = [] %}
{%- if server.enabled %}
  {%- do cservices.extend(server.services) %}
{%- endif %}
{%- if agent.enabled %}
  {%- do cservices.extend(agent.services) %}
{%- endif %}

{%- for cservice in cservices %}
ceilometer_service_stopped_{{ cservice }}:
  service.dead:
  - name: {{ cservice }}
  - enable: False
{%- endfor %}
